%define name	aptitude
%define release	2mdk
%define version	0.2.13

Summary:	Curses-based apt frontend
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://packages.qa.debian.org/a/aptitude.html
Group:		System/Configuration/Packaging

Source: http://http.us.debian.org/debian/pool/main/a/%{name}/%{name}-%{version}.tar.bz2
Patch0: %name-0.2.13-cnc-alt-rpm-apt.patch.bz2
Patch1: %name-0.2.13-automake.patch.bz2
Patch2: %name-0.2.13-autoconf.patch.bz2
Patch3: %name-0.2.13-po-mkinstalldirs.patch.bz2
Patch4:	%name-0.2.13-gcc3_4.patch.bz2

BuildRequires:	ncurses-devel libapt-pkg-devel libsigc++1.2-devel gettext-devel
BuildRequires:  automake1.8 autoconf2.5
Buildroot:	%{_tmppath}/%{name}-root

%description
Aptitude is a curses-based apt frontend with a number of useful extended 
features, including: a mutt-like syntax for matching packages in a flexible 
manner, persistence of user actions, and extreme flexibility and customization. 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .apt-rpm
%patch1 -p1 -b .automake
%patch2 -p1 -b .autoconf
%patch3 -p1 -b .po-mkinstalldirs
%patch4 -p1 -b .gcc3_4

%build
libtoolize --copy --force
export FORCE_AUTOCONF_2_5=1
aclocal-1.8
automake-1.8 -a -c
autoconf-2.5x
CPPFLAGS=-DRPM_VERSION=0x040202
export CPPFLAGS
%configure2_5x --disable-werror
%make

make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%dir %{_datadir}/aptitude
%{_datadir}/aptitude/*
%{_bindir}/aptitude


%changelog
* Fri Jul 30 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.13-2mdk
- fix build with new autotools
- rebuild with gcc 3.4

* Tue Jan 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.13-1mdk
- initial package

